Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhook_endpoints"{ "data": [ { "id": "string", "url": "string", "subscribed_types": [ "string" ], "status": "active", "disabled_reason": "string", "failing_since": "2019-08-24T14:15:22Z", "secret_rotated_at": "2019-08-24T14:15:22Z", "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook_endpoints" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "url": "https://example.com/hooks", "subscribed_types": [ "points.awarded" ] }'{ "id": "string", "url": "string", "subscribed_types": [ "string" ], "status": "active", "disabled_reason": "string", "failing_since": "2019-08-24T14:15:22Z", "secret_rotated_at": "2019-08-24T14:15:22Z", "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "signing_secret": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhook_endpoints/string"{ "id": "string", "url": "string", "subscribed_types": [ "string" ], "status": "active", "disabled_reason": "string", "failing_since": "2019-08-24T14:15:22Z", "secret_rotated_at": "2019-08-24T14:15:22Z", "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Optional legacy revision. Missing or malformed values follow the existing route parser.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/webhook_endpoints/string" \ -H "Content-Type: application/json" \ -d '{ "url": "https://example.com/hooks" }'{ "id": "string", "url": "string", "subscribed_types": [ "string" ], "status": "active", "disabled_reason": "string", "failing_since": "2019-08-24T14:15:22Z", "secret_rotated_at": "2019-08-24T14:15:22Z", "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/webhook_endpoints/string"Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook_endpoints/string/secrets"{ "id": "string", "url": "string", "subscribed_types": [ "string" ], "status": "active", "disabled_reason": "string", "failing_since": "2019-08-24T14:15:22Z", "secret_rotated_at": "2019-08-24T14:15:22Z", "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "signing_secret": "string"}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Value in
- "pending"
- "delivered"
- "dead"
- "disabled"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhook_deliveries"{ "data": [ { "id": "string", "endpoint_id": "string", "event_type": "string", "event_id": "string", "payload": null, "status": "pending", "attempts": 0, "next_attempt_at": "2019-08-24T14:15:22Z", "last_status": 0, "last_error": "string", "delivered_at": "2019-08-24T14:15:22Z", "replay_of": "string", "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook_deliveries" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "endpoint_id": "whe_00000000000000000000000000000042", "type": "webhook.test" }'{ "delivery": { "id": "string", "endpoint_id": "string", "event_type": "string", "event_id": "string", "payload": null, "status": "pending", "attempts": 0, "next_attempt_at": "2019-08-24T14:15:22Z", "last_status": 0, "last_error": "string", "delivered_at": "2019-08-24T14:15:22Z", "replay_of": "string", "created_at": "2019-08-24T14:15:22Z" }, "attempt": { "delivery_id": "string", "status": "delivered", "attempts": 0, "http_status": 0, "error": "string", "next_attempt_at": "2019-08-24T14:15:22Z" }}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhook_deliveries/string"{ "id": "string", "endpoint_id": "string", "event_type": "string", "event_id": "string", "payload": null, "status": "pending", "attempts": 0, "next_attempt_at": "2019-08-24T14:15:22Z", "last_status": 0, "last_error": "string", "delivered_at": "2019-08-24T14:15:22Z", "replay_of": "string", "created_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook_deliveries/string/replay" \ -H "Idempotency-Key: string"{ "delivery": { "id": "string", "endpoint_id": "string", "event_type": "string", "event_id": "string", "payload": null, "status": "pending", "attempts": 0, "next_attempt_at": "2019-08-24T14:15:22Z", "last_status": 0, "last_error": "string", "delivered_at": "2019-08-24T14:15:22Z", "replay_of": "string", "created_at": "2019-08-24T14:15:22Z" }, "attempt": { "delivery_id": "string", "status": "delivered", "attempts": 0, "http_status": 0, "error": "string", "next_attempt_at": "2019-08-24T14:15:22Z" }}Secret API key bound to an environment.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook_deliveries/fan_out" \ -H "Content-Type: application/json" \ -d '{ "outbox_id": "ob_00000000000000000000000000000042", "payload": { "type": "webhook.test" } }'{ "delivery_ids": [ "string" ]}